These are chat archives for jescalan/roots

22nd
Apr 2016
ccsouthard
@ccsouthard
Apr 22 2016 00:37
if i can compile a version via netlify, but not on the CLI- then I must have improperly installed the new roots update? i keep pulling
ENOENT: no such file or directory, open '/Users/charliesouthard/Sites/ccs-design/content/public/views/single_project.jade']

Potentially unhandled rejection [6]
Mathias Biilmann
@biilmann
Apr 22 2016 01:17
@ccsouthard you can always try running ./node_modules/.bin/roots compile to use the local version of roots instead of the global
ccsouthard
@ccsouthard
Apr 22 2016 14:14
Thank you for the suggestion. Still having issues with extend
Charless-MacBook-Pro:ccs-design charliesouthard$ ./node_modules/.bin/roots compile
compiling... { [Error: /Users/charliesouthard/Sites/ccs-design/content/public/work/work/art-beyond.jade:1
  > 1| extends ../../views/single_project
    2| block projects-content
    3|   :marked
    4|     ![image](assets/art-beyond/ab-full-home.jpg)   

ENOENT: no such file or directory, open '/Users/charliesouthard/Sites/ccs-design/content/public/views/single_project.jade']
  errno: -2,
  code: 'ENOENT',
  syscall: 'open',
  path: '/Users/charliesouthard/Sites/ccs-design/content/public/work/work/art-beyond.jade' }
Ben Styles
@benadamstyles
Apr 22 2016 14:17
Are you sure that path is right? Looks like it should be ../../../views/single_project
ccsouthard
@ccsouthard
Apr 22 2016 14:20
I imagine that it is. I'm finding it very strange that it compiles perfectly on netlify.com. my branches are up-to-date- I'm assuming that it must be something to do with the way I installed roots and the modules?
Ben Styles
@benadamstyles
Apr 22 2016 14:21
I think that's unlikely, but could be. No errors at all in the netlify build log?
ccsouthard
@ccsouthard
Apr 22 2016 14:21
i'll double check. Thank you for your suggestions.
Ben Styles
@benadamstyles
Apr 22 2016 14:22
np
ccsouthard
@ccsouthard
Apr 22 2016 14:27
I found this.. looks unlikely, but I'm not a developer.
11:52:31 AM npm
11:52:31 AM WARN
11:52:31 AM package.json
11:52:31 AM ccsouthard@ No repository field.
11:52:31 AM npm
11:52:31 AM WARN
11:52:31 AM deprecated
Ben Styles
@benadamstyles
Apr 22 2016 14:28
No that's fine, that's not an issue
ccsouthard
@ccsouthard
Apr 22 2016 14:31
11:53:56 AM Warning: missing space before text for line 10 of jade file "/opt/build/repo/content/services/services/services.jade"
this Is an easy fix but totally different error then what my command line is pulling
Ben Styles
@benadamstyles
Apr 22 2016 14:32
haha yep, good to spot it though!
tgustilo
@tgustilo
Apr 22 2016 15:50
Hi, I tried to update to Roots 4.1, and it blew up. Tried again as superuser, no luck. I now have no roots in my usr/local/lib/node_modules. (I assume that’s where it was before.) My terminal is throwin all kinds of errors… Help? The gist of it seems to be this:
npm ERR! Command failed: git clone --template=/Users/tracy/.npm/_git-remotes/_templates --mirror git://github.com/jenius/node-github.git /Users/tracy/.npm/_git-remotes/git-github-com-jenius-node-github-git-cefba6ce
npm ERR! xcrun: error: invalid active developer path (/Library/Developer/CommandLineTools), missing xcrun at: /Library/Developer/CommandLineTools/usr/bin/xcrun
James Dinsdale
@molovo
Apr 22 2016 16:23
@tgustilo Might be wrong, but I think running xcode-select --install might solve your issues.
Jeff Escalante
@jescalan
Apr 22 2016 16:25
yeah you need to do that, or install xcode then start it up and accept the terms
don't install npm packages globally using sudo
chown the right directories
tgustilo
@tgustilo
Apr 22 2016 16:28
Okay, that helped. I’m no longer getting the xcrun error. But I’m still getting this:
npm ERR! tar.unpack untar error /Users/tracy/.npm/roots/4.1.0/package.tgz
npm ERR! Darwin 15.4.0
npm ERR! argv "node" "/usr/local/bin/npm" "i" "-g" "roots"
npm ERR! node v0.12.4
npm ERR! npm  v2.10.1
npm ERR! path /usr/local/lib/node_modules/roots
npm ERR! code EACCES
npm ERR! errno -13

npm ERR! Error: EACCES, mkdir '/usr/local/lib/node_modules/roots'
npm ERR!     at Error (native)
npm ERR!  { [Error: EACCES, mkdir '/usr/local/lib/node_modules/roots']
npm ERR!   errno: -13,
npm ERR!   code: 'EACCES',
npm ERR!   path: '/usr/local/lib/node_modules/roots',
npm ERR!   fstream_type: 'Directory',
npm ERR!   fstream_path: '/usr/local/lib/node_modules/roots',
npm ERR!   fstream_class: 'DirWriter',
npm ERR!   fstream_stack: 
npm ERR!    [ '/usr/local/lib/node_modules/npm/node_modules/fstream/lib/dir-writer.js:35:25',
npm ERR!      '/usr/local/lib/node_modules/npm/node_modules/mkdirp/index.js:47:53',
npm ERR!      'FSReqWrap.oncomplete (fs.js:95:15)' ] }
npm ERR! 
npm ERR! Please try running this command again as root/Administrator.
npm ERR! Darwin 15.4.0
npm ERR! argv "node" "/usr/local/bin/npm" "i" "-g" "roots"
npm ERR! node v0.12.4
npm ERR! npm  v2.10.1

npm ERR! Uncaught, unspecified "error" event.
npm ERR! 
npm ERR! If you need help, you may report this error at:
npm ERR!     <https://github.com/npm/npm/issues>

npm ERR! Please include the following file with any support request:
npm ERR!     /npm-debug.log
And thanks, I won’t use sudo again. I was just trying to follow directions to try as root/Administrator.
Jeff Escalante
@jescalan
Apr 22 2016 16:41
upgrade your node version
we've come a long way since 0.12
also upgrade npm
npm i npm -g
tgustilo
@tgustilo
Apr 22 2016 16:52
Done. And restarted. Bummer. Still getting:
npm ERR! tar.unpack untar error /Users/tracy/.npm/roots/4.1.0/package.tgz
npm ERR! Darwin 15.4.0
npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "i" "-g" "roots"
npm ERR! node v4.4.3
npm ERR! npm  v2.15.1
npm ERR! path /usr/local/lib/node_modules/roots
npm ERR! code EACCES
npm ERR! errno -13
npm ERR! syscall mkdir

npm ERR! Error: EACCES: permission denied, mkdir '/usr/local/lib/node_modules/roots'
npm ERR!     at Error (native)
npm ERR!  { [Error: EACCES: permission denied, mkdir '/usr/local/lib/node_modules/roots']
npm ERR!   errno: -13,
npm ERR!   code: 'EACCES',
npm ERR!   syscall: 'mkdir',
npm ERR!   path: '/usr/local/lib/node_modules/roots',
npm ERR!   fstream_type: 'Directory',
npm ERR!   fstream_path: '/usr/local/lib/node_modules/roots',
npm ERR!   fstream_class: 'DirWriter',
npm ERR!   fstream_stack: 
npm ERR!    [ '/usr/local/lib/node_modules/npm/node_modules/fstream/lib/dir-writer.js:35:25',
npm ERR!      '/usr/local/lib/node_modules/npm/node_modules/mkdirp/index.js:47:53',
npm ERR!      'FSReqWrap.oncomplete (fs.js:82:15)' ] }
npm ERR! 
npm ERR! Please try running this command again as root/Administrator.

npm ERR! Please include the following file with any support request:
npm ERR!     /Users/tracy/npm-debug.log
Jeff Escalante
@jescalan
Apr 22 2016 17:02
chown -R $USER /usr/local/lib
you have permissions issues
if you still have problems after that chown -R $USER /usr/local
don't run this command if you're on ubuntu though
only osx
if youre on ubuntu, read up on linux file permissions haha
tgustilo
@tgustilo
Apr 22 2016 17:03
Yep, I see your note on the roots docs. Trying it now. Yes, on OSX
Hallelujah. It worked. Yeah, I had to chown /usr/local as well. Thanks for help.
Jeff Escalante
@jescalan
Apr 22 2016 17:24
whoo!
no problem :+1: